<?php
//Incluimos conexion a la base de 
require_once('../config/Conexion.php');

Class Servicio
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
    
      public function insertar($codigo,$nombre,$descripcion,$estado) {
        $sql = "INSERT INTO servicio (codigo,nombre,descripcion,estado) 
                VALUES ('$codigo','$nombre','$descripcion','$estado')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idservicio,$codigo,$nombre,$descripcion,$estado) {
        $sql = "UPDATE servicio SET 
                codigo = '$codigo', 
                nombre = '$nombre', 
                descripcion = '$descripcion',
                estado = '$estado'                 
                WHERE idservicio = '$idservicio'";
        return ejecutarConsulta($sql);
    }

    public function listarservicio()
    {
      $sql="SELECT * FROM servicio";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idservicio)
    {
      $sql="SELECT * FROM servicio where idservicio='$idservicio'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idservicio)
    {
      $sql="DELETE FROM servicio where idservicio='$idservicio'";
      return ejecutarConsulta($sql);
    }

    public function selectServicio()
    {
      $sql="SELECT * FROM servicio";
      return ejecutarConsulta($sql);

    }



}


?>